# 项目开发原则
## 一、设计阶段
* 刨根问底：在拿到需求之后，要对需求方刨根问底，在确实理解整个需求之后才能动手
* 三思而后行：在着手开发之前，必须要花费时间把整个流程梳理一遍。明确每一步如何实现，以及中间会有什么问题之后，再动手
* 胸有成竹：在实际动手之前，必须确保自己已经对整个项目了如指掌，然后才能动手
## 二、编码阶段
* 一眼能看懂：开发的时候，注意自己代码的易读性问题，随时以第三者的角度审视自己的代码
* 一句能说清：每个函数的功能应当尽可能明确单一，做到一个函数的功能能用一句话说清楚
* 不要重复造车轮：开发的时候要尽量避免代码高度耦合，尽力做到功能性的泛用。并且记得询问是否已有类似功能
## 三、测试和调整阶段
* 先自审：完成开发以后，应该对自己的代码进行一次自审，通过自审可以避免代码不规范的问题
* 预防意外：开发者原则之一是“用户永远不会按你期望的方式去使用你的软件”，因此除了走正常操作流程意外，我们还应当考虑和测试一些不正常的操作流程
* 主动寻找漏洞：在测试的时候，应当尝试作为攻击者主动寻找产品中的漏洞进行攻击
## 四、发布及后续跟进
* 三省吾身：在产品发布以后，还应当持续跟进一段时间，主动从项目中总结经验，并思考优化和解决策略