# 敏感信息管理办法
## 敏感信息定义
本办法所提及的敏感信息主要是指涉及公司商业秘密的数据，包括但不限于以下内容
* 个人工作QQ的账号和密码
* 用于连接阿里云服务器的个人账号和密码
* 用于连接代码仓库的个人账号和密码
* 用于链接测试站点数据库的账号和密码
* 用于连接正式站点数据库的账号和密码
* 各个项目的项目代码
* 正式和测试站点的数据库内容
* 用户的个人信息，包括但不限于用户姓名，身份证号，手机号，住址等用户的私人信息

## 刑法相关条款
第二百一十九条 有下列侵犯商业秘密行为之一，给商业秘密的权利人造成重大损失的，处三年以下有期徒刑或者拘役，并处或者单处罚金；造成特别严重后果的，处三年以上七年以下有期徒刑，并处罚金：<br />
（一）以盗窃、利诱、胁迫或者其他不正当手段获取权利人的商业秘密的；<br />
（二）披露、使用或者允许他人使用以前项手段获取的权利人的商业秘密的；<br />
（三）违反约定或者违反权利人有关保守商业秘密的要求，披露、 使用或者允许他人使用其所掌握的商业秘密的。明知或者应知前款所列行为，获取、使用或者披露他人的商业秘密的，以侵犯商业秘密论。<br />
本条所称商业秘密，是指不为公众所知悉，能为权利人带来经济利益，具有实用性并经权利人采取保密措施的技术信息和经营信息。<br />
本条所称权利人，是指商业秘密的所有人和经商业秘密所有人许可的商业秘密使用人。<br />

## 个人账号和密码管理办法
1. 所有项目成员应妥善保管自己的个人账号和密码
2. 严禁擅自将自己的个人账号和密码透露给他人，使他人能访问其原本无法访问的敏感信息。确需权限的情况下可以由有权限的人代为操作，或是向上级申请权限
3. 测试站的数据库和redis的账号密码目前是公用的，因此可以透露给相关项目的研发成员，但是禁止透露给无关人员
4. 所有阿里云服务器的远程访问，都必须使用自己的私人账号进行
5. 更换工作电脑前，必须清除原电脑上所有和个人账号密码有关的数据

## 项目代码管理办法
1. 项目成员将会根据自己负责的内容获得对应代码仓库的访问权限
2. 严禁将项目代码以任何形式发送给无关人员，包括其他项目组的成员。确实需要的，应向上级申请授权
3. 不得向无关人员透露项目相关信息和架构等内容。这些内容包括但不限于，某个项目实现的具体功能，项目提供的具体接口，特定业务的具体逻辑等
4. 更换工作电脑前，必须清除原电脑上的项目代码，远程仓库访问密钥等内容

## 数据库数据管理办法
### 测试站数据库管理办法
1. 在不会对项目造成重大影响的前提下，对测试站的数据内容进行修改不需要特别授权，但最好提前通知一下相关人员
2. 在开发时，可以根据自己的判断在测试站数据库里新建数据表，但是必须让相关负责人知情
3. 如果需要修改现有数据表的结构，必须提前告知详细修改计划，并获得相关负责人授权
4. 严禁将测试站的数据结构和数据内容导出并透露给无关人员

### 正式站数据库管理办法
1. 助理工程师和项目工程师不允许在未经授权的情况下修改正式站数据库的任何数据
2. 负责管理后台的高级工程师可以根据产品和客服的要求，无需领导授权就对不涉及用户消费的数据进行修改，但是所有涉及用户消费的数据必须要需求方给出纸质的操作需求并有经理级以上的领导签字方可操作
3. 不允许在不经过测试的情况下直接在正式站数据库新建数据表，在正式站数据库新建数据表前必须经过测试，并提前获取相关负责人授权
4. 不允许在不经过测试的情况下修改正式站数据库的数据表结构，在正式站数据库修改数据表结构前必须经过测试，并提前获取相关负责人授权
5. 严禁将正式站的数据结构和数据内容导出并透露给无关人员

# 文档修订记录
* 2019/9/5：初版